Subject: Re: [PATCH 05/13] Help.c: add list_common_guides_help() function

From: Philip Oakley <[email-masked]>
Date: Mon, 25 Feb 2013 23:43:43 +0000

On 25/02/13 05:24, Junio C Hamano wrote:
> "Philip Oakley" <[email-masked]> writes:
>
>> From: "Junio C Hamano" <[email-masked]>
>> Sent: Sunday, February 24, 2013 9:01 AM
>>> Philip Oakley <[email-masked]> writes:
>>>
>>>> diff --git a/common-guides.h b/common-guides.h
>>>> new file mode 100644
>>>> index 0000000..a8ad8d1
>>>> --- /dev/null
>>>> +++ b/common-guides.h
>>>> @@ -0,0 +1,12 @@
>>>> +/* Automatically generated by ./generate-guidelist.sh */
>>>> +/* re-use struct cmdname_help in common-commands.h */
>>>
>>> Huh?
>> The first comment line fortells of patch 6 which can generate this .h
>> file.
>
> The Huh? was about that one, not about reuse.  I do not want to see
> a build artifact kept in the history without a good reason.
>
I'd copied it from generate-cmdlist.sh which is a common-cmd.h 
dependency and was introduced by

commit a87cd02ce02e97083eb76eb8b9bfeb2e46800fd7
Author: Fredrik Kuivinen <[email-masked]>
Date:   Thu Mar 9 17:24:19 2006 +0100

     Nicer output from 'git'

     [jc: with suggestions by Jan-Benedict Glaw]

     Signed-off-by: Fredrik Kuivinen <[email-masked]>
     Signed-off-by: Junio C Hamano <[email-masked]>

The reason in this (my) case, as then, is that it states how the file is 
generated so that it can be regenerated later. If the patches are 
successful then I'd want the generate-guidelist and generate-cmdlist to 
be joined together as an integral part of generating the help system data.

Mind you each review point turns over another stone that needs to be 
considered, such as the Makefile link of common-commands.h and similarly 
for the Documentation/Makefile - I'm thinking of the issues around 
'gitk' and its ilk which isn't a common command (because it has no 
hyphen) yet is in the command list, so can be confused with the support 
documentation, however I don't mark it as a common guide, so that's OK. 
('git help k' does offer the gitk man page ;-)

I'll tidy up the series over the next few days to include the points so far

Philip